Subject: Re: EPE 126 YJ TOYOTA COASTER ACCIDENTAL REPAIR @MUSIBAU 62228
From: Raphael Peter <[email-masked]>
To: Michael Orimolade <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>, Robert Iyade <[email-masked]>, Folashade Odutola <[email-masked]>, celestine ugbe <[email-masked]>, Obinna Ahaiwe <[email-masked]>, Okoroafor Igwe <[email-masked]>
Date: Tue, 4 Nov 2025 05:10:09 +0000

Dear Michael,

See below Approval .

EPE 126 YJ COASTER

JO
62228

S/No
Description of Goods
Amount
Aprvd Amount
HOD
Control
1
REAR LIGHT LHS
185,000.00
160,000.00

150,000.00
2
PANEL BEATING MATERIALS
39,000.00
20,000.00

20,000.00
3
PAINTING
168,000.00
125,000.00

110,000.00
4
LABOUR
80,000.00
30,000.00

30,000.00
5
TOTAL
472,000.00
335,000.00

310,000.00

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Michael Orimolade <[email-masked]>
Sent: Tuesday, November 4, 2025 5:00 AM
To: Raphael Peter <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>; Robert Iyade <[email-masked]>; Folashade Odutola <[email-masked]>; celestine ugbe <[email-masked]>; Obinna Ahaiwe <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: RE: EPE 126 YJ TOYOTA COASTER ACCIDENTAL REPAIR @MUSIBAU 62228

Dear Raphael,

Please approve further.

Michael Orimolade

Inspection | Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09037793363, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Okoroafor Igwe <[email-masked]>
Sent: Monday, 3 November 2025 10:14
To: Michael Orimolade <[email-masked]>
Cc: Emmanuel Nwachukwu <[email-masked]>; Robert Iyade <[email-masked]>; Folashade Odutola <[email-masked]>; celestine ugbe <[email-masked]>; Obinna Ahaiwe <[email-masked]>
Subject: RE: EPE 126 YJ TOYOTA COASTER ACCIDENTAL REPAIR @MUSIBAU 62228

NGN335,000 for the subject vehicle insurance repairs.

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text    Description automatically generated]

From: Michael Orimolade <[email-masked]<mailto:[email-masked]>>
Sent: Monday, 3 November 2025 05:33
To: Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Cc: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; celestine ugbe <[email-masked]<mailto:[email-masked]>>; Obinna Ahaiwe <[email-masked]<mailto:[email-masked]>>
Subject: RE: EPE 126 YJ TOYOTA COASTER ACCIDENTAL REPAIR @MUSIBAU 62228

Dear Sir, @Okoroafor Igwe<mailto:[email-masked]>

Please review and approve.

V/No

EPE 126 YJ COASTER

JO

62228

S/No

Description of Goods

Amount

Aprvd Amount

HOD

AUDIT

1

REAR LIGHT LHS

185,000.00

160,000.00

2

PANEL BEATING MATERIALS

39,000.00

20,000.00

3

PAINTING

168,000.00

125,000.00

4

LABOUR

80,000.00

30,000.00

5

TOTAL

472,000.00

335,000.00

Michael Orimolade

Inspection | Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09037793363, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Michael Orimolade
Sent: Tuesday, 28 October 2025 14:19
To: celestine ugbe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Olufemi Odumosu <[email-masked]<mailto:[email-masked]>>; Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Cc: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>; Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Subject: RE: EPE 126 YJ TOYOTA COASTER

@Oluwatosin Abati<mailto:[email-masked]>, this is supposed to be treated by 3rd party according to the report.

Michael Orimolade

Inspection | Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09037793363, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.c-ileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Musibau Azeez <[email-masked]<mailto:[email-masked]>>
Sent: Friday, 24 October 2025 18:33
To: celestine ugbe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>; Olufemi Odumosu <[email-masked]<mailto:[email-masked]>>; Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>; Michael Orimolade <[email-masked]<mailto:[email-masked]>>
Cc: Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>; Okoroafor Igwe <[email-masked]<mailto:[email-masked]>>
Subject: Re: EPE 126 YJ TOYOTA COASTER

Dear Mike,

This is a gentle reminder that we are yet to receive approval for the subject vehicle. The work was completed as far back as July following the urgency expressed by both the maintenance team and the supervisor. However, as of today, the approval is still pending.

Kindly look into this and revert at your earliest convenience.

Best Regards,

Oluwaseyi Adenuga,

HOD Operations II tel: 0813 652 4344 II email: [email-masked]<mailto:[email-masked]>

32, Imam Raimi Street, New Makoko, Sabo-Yaba, Lagos.

MUSIBAU AZEEZ NIGERIA ENTERPRISES

On Tuesday, October 14, 2025 at 04:17:00 AM GMT+1, Michael Orimolade <[email-masked]<mailto:[email-masked]>> wrote:

Dear admin, @Musibau Azeez<mailto:[email-masked]>

So sorry for this, i apologise on our behalf.

@Olufemi  Odumosu<mailto:[email-masked]>, what was the conclusion on this, you can leave the workshop when responding please.

@Oluwatosin Abati<mailto:[email-masked]>, can we give approval to the workshop on this, you can leave the workshop out when responding.

Thanks.

Michael Orimolade

Inspection | Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09037793363, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<https://us-east-2.protection.sophos.com/?d=c-ileasing.com&u=aHR0cDovL3d3dy5jLWlsZWFzaW5nLmNvbS8=&p=m&i=NWY1OWM1YmNhY2NlNWUwZGQwZmJhZDNj&t=bEhXbFVPdysxcmV2YjUwUk1ORHBZeThBUm1laE9zNnJsWDYzNEtEVC9ZRT0=&h=ba8a961c24ec4891ab53c4a00ad77ba0&s=AVNPUEhUT0NFTkNSWVBUSVZfn9IJH0n2Rp11c5fWLyejgRutnqp8-eU4hzaOkaSADw>

[A white square with black and yellow text  Description automatically generated]

From: Musibau Azeez <[email-masked]<mailto:[email-masked]>>
Sent: Monday, 13 October 2025 17:48
To: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; celestine ugbe <[email-masked]<mailto:[email-masked]>>; Folashade Odutola <[email-masked]<mailto:[email-masked]>>
Cc: Olufemi Odumosu <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>; Oluwatosin Abati <[email-masked]<mailto:[email-masked]>>
Subject: Re: EPE 126 YJ TOYOTA COASTER

Dear Mike,

This is a gentle reminder that we are yet to receive approval for the subject vehicle. The work was completed as far back as July following the urgency expressed by both the maintenance team and the supervisor. However, as of today, the approval is still pending.

Kindly look into this and revert at your earliest convenience.

Best Regards,

Balikis Babatunde,

Admin Officer II tel: 0911 517 0084 II email: [email-masked]<mailto:[email-masked]>

32, Imam Raimi Street, New Makoko, Sabo-Yaba, Lagos.

MUSIBAU AZEEZ NIGERIA ENTERPRISES

On Wednesday, October 1, 2025 at 02:35:37 PM GMT+1, Musibau Azeez <[email-masked]<mailto:[email-masked]>> wrote:

Dear Mike,

This is a gentle reminder that we have not yet received approval for the subject vehicle.

Kindly look into this matter and revert at your earliest convenience.

Best Regards,

Oluwaseyi Adenuga,

HOD Operations II tel: 0813 652 4344 II email: [email-masked]<mailto:[email-masked]>

32, Imam Raimi Street, New Makoko, Sabo-Yaba, Lagos.

MUSIBAU AZEEZ NIGERIA ENTERPRISES

On Wednesday, July 23, 2025 at 12:08:43 PM GMT+1, Musibau Azeez <[email-masked]<mailto:[email-masked]>> wrote:

Dear Mike,

Enclosed is the estimate for the TOYOTA COASTER (EPE 126 YJ) concerning the REAR DENTED AND REAR LIGHT (LHS)

Kindly review it and revert.

Your prompt attention to this matter is appreciated.

Best Regards,

Oluwaseyi Adenuga,

Admin Officer II tel: 0813 652 4344 II email: [email-masked]<mailto:[email-masked]>

32, Imam Raimi Street, New Makoko, Sabo-Yaba, Lagos.

MUSIBAU AZEEZ NIGERIA ENTERPRISES

On Wednesday, July 23, 2025 at 11:36:39 AM GMT+1, celestine ugbe <[email-masked]<mailto:[email-masked]>> wrote:

Dear @Michael Orimolade<mailto:[email-masked]>

Kindly make use of the JO below

Best regards.

Celestine Ugbe

Fleet Unit

C & I Leasing PLC | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

Contact:08081650464

WHATSAPP:08172737765 | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<https://us-east-2.protection.sophos.com/?d=c-ileasing.com&u=aHR0cDovL3d3dy5jLWlsZWFzaW5nLmNvbS8=&p=m&i=NWY1OWM1YmNhY2NlNWUwZGQwZmJhZDNj&t=bEhXbFVPdysxcmV2YjUwUk1ORHBZeThBUm1laE9zNnJsWDYzNEtEVC9ZRT0=&h=f39d3621a79246aaaf565f35199730ae&s=AVNPUEhUT0NFTkNSWVBUSVZfn9IJH0n2Rp11c5fWLyejgRutnqp8-eU4hzaOkaSADw>

[A white square with blue and black logo  Description automatically generated]

________________________________

From: celestine ugbe <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, July 23, 2025 10:11 AM
To: Michael Orimolade <[email-masked]<mailto:[email-masked]>>; Musibau Azeez <[email-masked]<mailto:[email-masked]>>
Cc: Olufemi Odumosu <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>
Subject: Re: EPE 126 YJ TOYOTA COASTER

Dear Michael

Please note that as at Monday night and this morning, the driver had not received confirmation to visit Musibau workshop for inspection and sharing of estimate yet until now.

Hence the driver may need to proceed to Musibau immediately right awa for the inspection before visiting the Police station so we can have the estimate available to share with the police.

Kindly confirm if the driver should proceed to Musibau workshop immediately before going to the Police station.

The driver is currently in between on stand by for instructions please.

I have just spoken with Femi about this a moment ago.

Best regards.

Sent from Outlook for Android<https://us-east-2.protection.sophos.com/?d=aka.ms&u=aHR0cHM6Ly9ha2EubXMvQUFiOXlzZw==&p=m&i=NWY1OWM1YmNhY2NlNWUwZGQwZmJhZDNj&t=U2hvVjd1a0JpRmdOeGZVWkJYUi9BU2JCRmVOTENQTnprYkNodDJxS2ptaz0=&h=f39d3621a79246aaaf565f35199730ae&s=AVNPUEhUT0NFTkNSWVBUSVZfn9IJH0n2Rp11c5fWLyejgRutnqp8-eU4hzaOkaSADw>

________________________________

From: Michael Orimolade <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, July 23, 2025 9:11:32 AM
To: Musibau Azeez <[email-masked]<mailto:[email-masked]>>
Cc: Olufemi Odumosu <[email-masked]<mailto:[email-masked]>>; celestine ugbe <[email-masked]<mailto:[email-masked]>>; Raphael Peter <[email-masked]<mailto:[email-masked]>>; Emmanuel Nwachukwu <[email-masked]<mailto:[email-masked]>>; Robert Iyade <[email-masked]<mailto:[email-masked]>>; Kanu Chukwudi <[email-masked]<mailto:[email-masked]>>
Subject: EPE 126 YJ TOYOTA COASTER

Dear admin,

Please urgently give us estimate of repair for subject vehicle that came with the 3rd party.

We need it for police report since the man is not willing to pay.

Michael Orimolade

Inspection | Maintenance Officer

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

09037793363, | [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<https://us-east-2.protection.sophos.com/?d=c-ileasing.com&u=aHR0cDovL3d3dy5jLWlsZWFzaW5nLmNvbS8=&p=m&i=NWY1OWM1YmNhY2NlNWUwZGQwZmJhZDNj&t=bEhXbFVPdysxcmV2YjUwUk1ORHBZeThBUm1laE9zNnJsWDYzNEtEVC9ZRT0=&h=f39d3621a79246aaaf565f35199730ae&s=AVNPUEhUT0NFTkNSWVBUSVZfn9IJH0n2Rp11c5fWLyejgRutnqp8-eU4hzaOkaSADw>

[A white square with black and yellow text  Description automatically generated]